# NOTE: for versions >= 5.0.0 (for python 3.6+) see python3-vine.spec
#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_with	python3 # CPython 3.x module (built from python3-vine.spec)

%define		module		vine
%define		egg_name	vine
%define		pypi_name	vine
Summary:	Python promises
Summary(pl.UTF-8):	Obietnice dla Pythona
Name:		python-%{module}
# keep 1.x here for python2 support
Version:	1.3.0
Release:	5
License:	BSD
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/v/vine/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	5d125e0b4d759b39e03d11902dede8c9
URL:		https://vine.readthedocs.io/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools >= 20.6.7
%if %{with tests}
BuildRequires:	python-case >= 1.3.1
BuildRequires:	python-pytest >= 3.0
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools >= 20.6.7
%if %{with tests}
BuildRequires:	python3-case >= 1.3.1
BuildRequires:	python3-pytest >= 3.0
%endif
%endif
%if %{with doc}
BuildRequires:	sphinx-pdg-3
BuildRequires:	python3-sphinx_celery >= 1.1
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python promises.

%description -l pl.UTF-8
Obietnice (promise) dla Pythona.

%package -n python3-%{module}
Summary:	Python promises
Summary(pl.UTF-8):	Obietnice dla Pythona
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-%{module}
Python promises.

%description -n python3-%{module} -l pl.UTF-8
Obietnice (promise) dla Pythona.

%package apidocs
Summary:	API documentation for vine module
Summary(pl.UTF-8):	Dokumentacja API modułu vine
Group:		Documentation

%description apidocs
API documentation for vine module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu vine.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS="case.pytest" \
%{__python} -m pytest t/unit
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS="case.pytest" \
%{__python3} -m pytest t/unit
%endif
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc Changelog LICENSE README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc Changelog LICENSE README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,reference,*.html,*.js}
%endif
%changelog
* Thu Mar 04 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-vine.git;a=log;h=master

* Thu Mar 04 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 39e3dad
- release 5 (by relup.sh)

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 90752b8
- release 4 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 738321b
- release 3 (by relup.sh)

* Sun Jan 31 2021 Jakub Bogusz <qboosh@pld-linux.org> 7502a82
- disable python3 here; release 2

* Sun Jan 31 2021 Jakub Bogusz <qboosh@pld-linux.org> 1d36722
- pl, fixed doc and tests

* Mon Feb 17 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> e385424
- up to 1.3.0

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> f6a5e7d
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Sep 26 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> a5d883c
- Version: 1.1.4

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e0437a2
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e782eb
- python 3.6
- release 2 (by relup.sh)

* Wed Oct 12 2016 Elan Ruusamäe <glen@delfi.ee> ff60636
- use pythonhosted url; macros

* Wed Oct 12 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 13d9e66
- new package

